Apame C++ API 0.0.20261017
Aerodynamic panel method solver
Loading...
Searching...
No Matches
APAME Namespace Reference

Classes

class  IApameCallback
 Apame callback interface - Override this class to receive Apame messages. More...
class  IApame

Enumerations

enum  APAME_ERROR {
  NO_ERRORS , INCORRECT_DENSITY , INCORRECT_REFERENCE_PRESSURE , INCORRECT_MACH_NUMBER ,
  INCORRECT_SPAN , INCORRECT_MAC , INCORRECT_AREA , INCORRECT_SINGULARITY_TYPE ,
  INCORRECT_CURVATURE , INCORRECT_COLL_DEPTH , INCORRECT_FARFIELD_COEF , INCORRECT_NEIGHBORING_REQUEST ,
  INCORRECT_NEIGHBORING_ANGLE , INCORRECT_TIME_STEP , NEGATIVE_PANEL_AREA , ZERO_LENGTH_PANEL ,
  NO_NEIGHBORS_FOUND , MORE_THAN_TWO_PANELS_SHARE_EDGE , INCORRECT_WAKE_ANGLE , INCORRECT_WAKE_LENGTH ,
  INCORRECT_WAKE_NUM_SEGMENTS , INCORRECT_WAKE_PROPAGATION , INCORRECT_WAKE_PROP_ANGLE , INCORRECT_WAKE_PROP_MIN_SCALING ,
  INCORRECT_NUM_NODES , INCORRECT_NUM_PANELS , SYSTEM_MATRIX_NOT_CALCULATED , SYSTEM_SOLVER_PROBLEM ,
  INCORRECT_PANEL_INDEX , INCORRECT_CASE_INDEX , SYSTEM_NOT_SOLVED_YET , TRANSIENT_NOT_INITIALIZED ,
  EXTERNAL_ERROR , NUM_ERROR_CODES
}
 Defines Apame global error codes. More...
enum  APAME_ANALYSIS_TYPE { ANALYSIS_NONE , ANALYSIS_STEADY_STATE , ANALYSIS_TRANSIENT }
 Defines Apame analysis types. More...
enum  SingularityTypes { SING_TYPE_SOURCE_DIPOLE , SING_TYPE_DIPOLE }
 Defines singularity types. More...
enum  CurvatureTypes { CURVATURE_OFF =0 , CURVATURE_ON }
 Defines curvature parameter types. More...
enum  WakePropagation {
  WAKE_PROPAGATION_OFF =0 , WAKE_PROPAGATION_NEIGHBORS_ONLY , WAKE_PROPAGATION_CONSTANT , WAKE_PROPAGATION_LINEAR ,
  WAKE_PROPAGATION_PARABOLIC
}
 Defines wake propagation request parameter types. More...
enum  PANEL_TYPE { PANEL_TYPE_QUAD , PANEL_TYPE_TRIA }
 Defines panel types. More...
enum  PanelStates { PANEL_STATE_UNCHANGED = -1 , PANEL_STATE_DEFORMED }
 Defines panel states, positive non-zero numbers are used to identify moved sets. More...
enum  CalculationRequests {
  REQUEST_COEF = 1 << 0 , REQUEST_FORC = 1 << 1 , REQUEST_PRES = 1 << 2 , REQUEST_PSTA = 1 << 3 ,
  REQUEST_PDYN = 1 << 4 , REQUEST_PMAN = 1 << 5
}
 Defines/lists calculation requests. More...
enum  FIELD_RESULTS_TYPE {
  FIELD_DBLT , FIELD_SORC , FIELD_VMAG , FIELD_VELX ,
  FIELD_VELY , FIELD_VELZ , FIELD_VSQR , FIELD_PRES ,
  FIELD_PSTA , FIELD_PDYN , FIELD_PMAN , NUM_FIELDS
}
 Defines/lists field results components. More...

Functions

const char * getApameCoreVersion ()
 Returns Apame version.
const char * getApameCoreSubversion ()
 Returns Apame subversion.
void getApameCoreBuildDate (char buildDate[9])
 Returns Apame build date.
IApame * Create ()
void Delete (IApame *apame)

Enumeration Type Documentation

◆ APAME_ERROR

Defines Apame global error codes.

Enumerator
NO_ERRORS 

No errors.

INCORRECT_DENSITY 

Incorrect density.

INCORRECT_REFERENCE_PRESSURE 

Incorrect reference pressure.

INCORRECT_MACH_NUMBER 

Incorrect Mach number.

INCORRECT_SPAN 

Incorrect wing span.

INCORRECT_MAC 

Incorrect mean aerodynamic chord.

INCORRECT_AREA 

Incorrect wing surface area.

INCORRECT_SINGULARITY_TYPE 

Incorrect singularity type.

INCORRECT_CURVATURE 

Incorrect curvature correction.

INCORRECT_COLL_DEPTH 

Incorrect collocation depth.

INCORRECT_FARFIELD_COEF 

Incorrect far-field coefficient.

INCORRECT_NEIGHBORING_REQUEST 

Incorrect neighboring request.

INCORRECT_NEIGHBORING_ANGLE 

Incorrect neighboring angle specified.

INCORRECT_TIME_STEP 

Incorrect time step size specified.

NEGATIVE_PANEL_AREA 

Panel with negative area detected.

ZERO_LENGTH_PANEL 

Panel with zero length detected.

NO_NEIGHBORS_FOUND 

No neighbors found using specified angle threshold.

MORE_THAN_TWO_PANELS_SHARE_EDGE 

More than two panels share an edge.

INCORRECT_WAKE_ANGLE 

Incorrect wake angle threshold.

INCORRECT_WAKE_LENGTH 

Incorrect wake length.

INCORRECT_WAKE_NUM_SEGMENTS 

Incorrect wake number of segments.

INCORRECT_WAKE_PROPAGATION 

Incorrect wake propagation request specified.

INCORRECT_WAKE_PROP_ANGLE 

Incorrect wake propagation angle value specified.

INCORRECT_WAKE_PROP_MIN_SCALING 

Incorrect wake propagation minimum scaling value specified.

INCORRECT_NUM_NODES 

Incorrect number of nodes.

INCORRECT_NUM_PANELS 

Incorrect number of panels.

SYSTEM_MATRIX_NOT_CALCULATED 

Influence coefficients matrix not calculated.

SYSTEM_SOLVER_PROBLEM 

Problem in system solver.

INCORRECT_PANEL_INDEX 

Incorrect panel index.

INCORRECT_CASE_INDEX 

Incorrect case index.

SYSTEM_NOT_SOLVED_YET 

System not solved yet.

TRANSIENT_NOT_INITIALIZED 

Transient analysis not initialized.

EXTERNAL_ERROR 

External error (use getApameErrorDescription() for details).

NUM_ERROR_CODES 

◆ APAME_ANALYSIS_TYPE

Defines Apame analysis types.

Enumerator
ANALYSIS_NONE 

No active (initialized) tasks.

ANALYSIS_STEADY_STATE 

Steady state analysis.

ANALYSIS_TRANSIENT 

Transient analysis.

◆ SingularityTypes

Defines singularity types.

Enumerator
SING_TYPE_SOURCE_DIPOLE 

Constant source/dipole combination.

SING_TYPE_DIPOLE 

Constant dipole.

◆ CurvatureTypes

Defines curvature parameter types.

Enumerator
CURVATURE_OFF 

Curvature correction off.

CURVATURE_ON 

Curvature correction on.

◆ WakePropagation

Defines wake propagation request parameter types.

Enumerator
WAKE_PROPAGATION_OFF 

Wake propagation off.

WAKE_PROPAGATION_NEIGHBORS_ONLY 

Wake propagation off, but split neighbors in wake proximity.

WAKE_PROPAGATION_CONSTANT 

Constant strength wake propagation.

WAKE_PROPAGATION_LINEAR 

Linear strength wake propagation.

WAKE_PROPAGATION_PARABOLIC 

Parabolic strength wake propagation.

◆ PANEL_TYPE

Defines panel types.

Enumerator
PANEL_TYPE_QUAD 

Quadrilateral panel (Quadrangle).

PANEL_TYPE_TRIA 

Triangular panel (Triangle).

◆ PanelStates

Defines panel states, positive non-zero numbers are used to identify moved sets.

Enumerator
PANEL_STATE_UNCHANGED 

Unchanged/undeformed state -> no need for calculation.

PANEL_STATE_DEFORMED 

Deformed state -> full recalculation needed.

◆ CalculationRequests

Defines/lists calculation requests.

Enumerator
REQUEST_COEF 

Force and moment coefficients.

REQUEST_FORC 

Forces and moments.

REQUEST_PRES 

Pressure coefficient field.

REQUEST_PSTA 

Static pressure field.

REQUEST_PDYN 

Dynamic pressure field.

REQUEST_PMAN 

Manometer pressure field.

◆ FIELD_RESULTS_TYPE

Defines/lists field results components.

Enumerator
FIELD_DBLT 

Dipole strength.

FIELD_SORC 

Source strength.

FIELD_VMAG 

Velocity magnitude.

FIELD_VELX 

Velocity X component.

FIELD_VELY 

Velocity Y component.

FIELD_VELZ 

Velocity Z component.

FIELD_VSQR 

Squared velocity.

FIELD_PRES 

Pressure coefficient.

FIELD_PSTA 

Static pressure.

FIELD_PDYN 

Dynamic pressure.

FIELD_PMAN 

Manometer pressure.

NUM_FIELDS 

Number of field definitions.

Function Documentation

◆ getApameCoreVersion()

const char * APAME::getApameCoreVersion ( )

Returns Apame version.

◆ getApameCoreSubversion()

const char * APAME::getApameCoreSubversion ( )

Returns Apame subversion.

◆ getApameCoreBuildDate()

void APAME::getApameCoreBuildDate ( char buildDate[9])

Returns Apame build date.

◆ Create()

IApame * APAME::Create ( )

◆ Delete()

void APAME::Delete ( IApame * apame)